Visit Homepage link is non-functional

Bug #1168915 reported by Doug McMahon on 2013-04-14
88
This bug affects 19 people
Affects Status Importance Assigned to Milestone
synaptic (Ubuntu)
Low
Unassigned

Bug Description

Nothing happens if clicked on. Additionally if one does right click > 'copy url' nothing is copied.
The only thing that appears correct is the tooltip when hovering over "Visit Homepage"

ProblemType: Bug
DistroRelease: Ubuntu 13.04
Package: synaptic 0.80~exp1
ProcVersionSignature: Ubuntu 3.8.0-17.27-generic 3.8.6
Uname: Linux 3.8.0-17-generic x86_64
ApportVersion: 2.9.2-0ubuntu8
Architecture: amd64
Date: Sun Apr 14 12:52:37 2013
InstallationDate: Installed on 2013-03-31 (13 days ago)
InstallationMedia: Ubuntu 13.04 "Raring Ringtail" - Alpha amd64 (20130318)
MarkForUpload: True
ProcEnviron:
 TERM=xterm
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: synaptic
UpgradeStatus: No upgrade log present (probably fresh install)

Related branches

Doug McMahon (mc3man) wrote :
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in synaptic (Ubuntu):
status: New → Confirmed
Ads20000 (ads20000) wrote :

To clarify to others, it doesn't look like a hyperlink either. (i.e. not in blue and underlined)
Should be an easy fix for anyone who knows what they are doing.

Robert Roth (evfool) wrote :

Thanks for the report, I have investigated and fixed the Copy URL not working and the homepage not opening problems. The fixes should be available in the development version of ubuntu after the next release of synaptic.

Changed in synaptic (Ubuntu):
status: Confirmed → Fix Committed
assignee: nobody → Robert Roth (evfool)
Adolfo Jayme (fitojb) on 2013-09-02
Changed in synaptic (Ubuntu):
importance: Undecided → Low
Simplehuman (simplehuman) wrote :

Ubuntu 13.10 x64, the bug is still there

On 10/23/2013 02:34 AM, Corlija Vladimir wrote:
> Same as Dmitriy, here in Saucy 13.10 AMD64, 'Copy URL' doesn't seem to
> write to the clipboard and also left-clicking doesn't open the link,
> does nothing.
>
>
> ** Attachment added: "synaptic 0.80.2 'Copy URL' screenshot, on Xfce Saucy"
> https://bugs.launchpad.net/ubuntu/+source/synaptic/+bug/1168915/+attachment/3888194/+files/Screenshot%20-%2010232013%20-%2008%3A30%3A42%20AM.png
>
This is fix committed, not released so 13.10 would still be affected
I've tried the fix & it works fine, would expect to see in 14.04

Doug McMahon (mc3man) wrote :

This is now working in 14.04 (0.80.4), though no mention in changelog of specifically fixing

Doug McMahon (mc3man) wrote :

Well, not completely fixed. Works fine if default browser is already open, if not then, at least in Firefox produces attached error

antonioni (antonioni-rocha) wrote :

In my 14.04 (updated) this problem continues. I have Firefox how the standard navigator, and Chrome installed, too. When I click in "Visit Homepage" link, nothing happens. (The other options, how "Get screenshot" and "Get Changelogs" works fine.)

antonioni (antonioni-rocha) wrote :

"Visit homepage" link don't work.

Doug McMahon (mc3man) wrote :

On 05/18/2014 12:17 AM, antonioni wrote:
> "Visit homepage" link don't work.
>
> ** Attachment added: "Video about '"Visit homepage" link don't work.'"
> https://bugs.launchpad.net/ubuntu/+source/synaptic/+bug/1168915/+attachment/4114786/+files/out.ogv
>
As mentioned works fine here as long as the apt has a valid url for
"Homepage: ..." ( apt-cache show appname) & your default browser is
already open.

Changed in synaptic (Ubuntu):
status: Fix Committed → Confirmed
Futur (fusionneur) wrote :

workaround: drag and drop the "visit homepage" button into your browser

PoxyPig (poxypig) wrote :

This appears to be caused by the fact that synaptic usually insists on opening as root.
If I open synaptic from the menu it requires that I enter my admin password. The Visit Homepage link is there but does nothing. I can drag it to my open browser (as suggested above) where it works.
When I open synaptic from a terminal it opens in user mode rather than root mode. The link then works fine.

Roger (rifrelepeg) wrote :

Similar problem in Mint 17.x, only instead of doing nothing it puts up an error box that says "Failed to execute default Web Browser. Input/output error."

Apparently the problem is that it tries to launch Firefox under the regular user account but using the root environment.

Robert Roth (evfool) on 2018-02-04
Changed in synaptic (Ubuntu):
assignee: Robert Roth (evfool) → nobody
Paul White (paulw2u) on 2018-08-08
tags: added: cosmic
removed: raring
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers